-- Test amenity_carousel_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('amenity_carousel_i18n');
select has_pk('amenity_carousel_i18n');
select col_is_pk('amenity_carousel_i18n', array['amenity_id', 'media_id', 'lang_tag']);
select col_is_fk('amenity_carousel_i18n', array['amenity_id', 'media_id']);
select fk_ok('amenity_carousel_i18n', array['amenity_id', 'media_id'], 'amenity_carousel', array['amenity_id', 'media_id']);
select table_privs_are('amenity_carousel_i18n', 'guest', array['SELECT']);
select table_privs_are('amenity_carousel_i18n', 'employee', array['SELECT']);
select table_privs_are('amenity_carousel_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('amenity_carousel_i18n', 'authenticator', array[]::text[]);

select has_column('amenity_carousel_i18n', 'amenity_id');
select col_type_is('amenity_carousel_i18n', 'amenity_id', 'integer');
select col_not_null('amenity_carousel_i18n', 'amenity_id');
select col_hasnt_default('amenity_carousel_i18n', 'amenity_id');

select has_column('amenity_carousel_i18n', 'media_id');
select col_type_is('amenity_carousel_i18n', 'media_id', 'integer');
select col_not_null('amenity_carousel_i18n', 'media_id');
select col_hasnt_default('amenity_carousel_i18n', 'media_id');

select has_column('amenity_carousel_i18n', 'lang_tag');
select col_is_fk('amenity_carousel_i18n', 'lang_tag');
select fk_ok('amenity_carousel_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('amenity_carousel_i18n', 'lang_tag', 'text');
select col_not_null('amenity_carousel_i18n', 'lang_tag');
select col_hasnt_default('amenity_carousel_i18n', 'lang_tag');

select has_column('amenity_carousel_i18n', 'caption');
select col_type_is('amenity_carousel_i18n', 'caption', 'text');
select col_is_null('amenity_carousel_i18n', 'caption');
select col_hasnt_default('amenity_carousel_i18n', 'caption');


select *
from finish();

rollback;

